### Constructor

# Gtk.FileFilter.new_from_gvariant

#### Declaration [src]

    GtkFileFilter*
    gtk_file_filter_new_from_gvariant (
      GVariant* variant
    )

#### Description [src]

Deserialize a file filter from a `GVariant`.

The variant must be in the format produced by `gtk_file_filter_to_gvariant()`.

#### Parameters

`variant` | `GVariant*`
| an `a{sv}` `GVariant`
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkFileFilter`
a new `GtkFileFilter` object
Ownership of the data is transferred to the caller